--  File:     ISOL3_1.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011

declare @acid_test	char(25),
	@rand_o_key	int,
	@rand_l_key	int,
	@rand_delta	tinyint

select	top 1
	@rand_o_key	= acid_o_key,
	@rand_l_key	= acid_l_key,
	@rand_delta	= acid_delta
from	acid_values
where	acid_test	= 'Isolation 3'
order	by seq_num asc

select	'Random Values Used',
	@rand_o_key "@RAND_O_KEY",
	@rand_l_key "@RAND_L_KEY",
	@rand_delta "@RAND_DELTA"

exec tran_w_com	@rand_o_key,
		@rand_l_key,
		@rand_delta
GO

